commit:     9adfc91c0d54871e7ab519b4514ed067a4437b90
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 24 06:40:51 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 24 06:59:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9adfc91c

dev-python/watchdog: Bump to 2.1.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/watchdog/Manifest              |  1 +
 dev-python/watchdog/watchdog-2.1.5.ebuild | 43 +++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index 85874b93c6f..c7b886e6ce9 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1,3 +1,4 @@
 DIST watchdog-1.0.2.tar.gz 91796 BLAKE2B 
001cbe82ff8aff0c4e56e4d1f02519047580cccb48466566ad7c9c1f462f90a9a036cf90846eb38ec4fb24ff1df2a1ddfec20b3f0587afdc1f938ada1bb0b1ef
 SHA512 
e87a0955ce822daabd7d030804876698f98ed2aad58486e26a94585763655302063f091b653abd385ea99642361b6253d8e051d96019b243a77b078ba86b0d6e
 DIST watchdog-2.1.2.tar.gz 97407 BLAKE2B 
a847089409537391287a146670864c7721344ba8a6378c89483e9e08abe3f61690bfca48016f628ab0e6b0ff317679db3c72e27594e049ea03334dd20c305008
 SHA512 
2a127faffebb35f0b14d578570a4c5a7c27d6bd38042e34ea50f4b654be1ca07b193dfa72dfe25442d3e6da746f1cfbdda71c38be1386cc5a3e69204843c16f1
 DIST watchdog-2.1.4.tar.gz 98695 BLAKE2B 
2a15b362c6e776146df4738096fe0cd8ec49894c6b767e86ed5749c2f97447fb890f172ec989a17140594070eefa1fa2b40275aff5ba9d212f77a059ac3ead25
 SHA512 
88bed725c045f59091902a1fe4673036a679d263c71269e36125df2a4c851864bddee0cf4f8c3f20bfc2d5f735804b7c7b1ff07a3d89d8649bfa16d3e7e1fe21
+DIST watchdog-2.1.5.tar.gz 98791 BLAKE2B 
b7663e5aa8918321d570c842abf7c70647712d2045f3cc06ccdff86e305fecc5b95c93048aae9f0a7b2629c2c4f10911ef21077a570b9fb0c3eb03e9597f555f
 SHA512 
850feaf4f5d61b8c8f1521464853df65b72af80c86c63fa87769d17f2bc464112daf3e09a8d83e30474d398315ce854e5a45703c5eabad8b0f5f98f6840d2590

diff --git a/dev-python/watchdog/watchdog-2.1.5.ebuild 
b/dev-python/watchdog/watchdog-2.1.5.ebuild
new file mode 100644
index 00000000000..7b9fe168c22
--- /dev/null
+++ b/dev-python/watchdog/watchdog-2.1.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="https://github.com/gorakhargosh/watchdog";
+SRC_URI="https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+CDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+       dev-python/argh[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+       test? (
+               >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/--cov/d' setup.cfg || die
+       default
+}
+
+python_test() {
+       local deselect=()
+       [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+               tests/test_inotify_buffer.py::test_move_internal_batch
+       )
+
+       epytest -p no:django ${deselect[@]/#/--deselect }
+}
+
+pkg_postinst() {
+       optfeature "Bash completion" dev-python/argcomplete
+}

Reply via email to